i3lock(1)

NAME
i3lock - improved screen locker

SYNOPSIS
i3lock [-v] [-n] [-b] [-d] [-i image.png] [-c color] [-t] [-p pointer] [-u]

DESCRIPTION
i3lock is a simple screen locker like slock. After starting it, you will see a white screen (you can configure the color/an image). You can return to your screen by entering your password.

IMPROVEMENTS

* i3lock forks, so you can combine it with an alias to suspend to RAM (run "i3lock && echo mem > /sys/power/state" to get a locked screen after waking up your computer from suspend to RAM)

* You can specify either a background color or a PNG image which will be displayed while your screen is locked.

* You can specify whether i3lock should bell upon a wrong password.

* i3lock uses PAM and therefore is compatible with LDAP etc.

OPTIONS

-v, --version
    Display the version of your i3lock

-n, --nofork
    Don't fork after starting.

-b, --beep
    Enable beeping. Be sure to not do this when you are about to annoy other people, like when opening your laptop in a boring lecture.

-d, --dpms
    Enable turning off your screen using DPMS. Note that, when you do not specify this option, DPMS will turn off your screen after 15 minutes of inactivity anyways (if you did not disable this in your X server).

-u, --no-unlock-indicator
    Disables the unlock indicator. i3lock will by default show an unlock indicator after pressing keys. This will give feedback for every keypress and it will show you the current PAM state (whether your password is currently being verified or whether it is wrong).

-i path, --image=path
    Display the given PNG image instead of a blank screen.

-c rrggbb, --color=rrggbb
    Turns the screen into the given color instead of white. Color must be given in 6-byte format: rrggbb (i.e. ff0000 is red)

-t, --tiling
    If an image is specified (via -i) it will display the image tiled all over the screen (if it is a multi-monitor setup, the image is visible on all screens).

-p win|default, --pointer=win|default
    If you specify "default", i3lock does not hide your Mousepointer. If you specify "win", i3lock displays a hardcoded Windows-Pointer (thus enabling you to fuck with your friends by using a Screenshot of a Windows-Desktop as a locking-screen).

SEE ALSO
xautolock(1) - use i3lock as your screen saver

AUTHOR
Michael Stapelberg <michael+i3lock at stapelberg dot de> Jan-Erik Rediger <badboy at archlinux.us>